Module | Sequel::Plugins::IdentityMap::InstanceMethods
In: | lib/sequel/plugins/identity_map.rb

### Methods

delete merge_db_update

### Public Instance methods

delete()

Remove instances from the identity map cache if they are deleted.

[Source]

         # File lib/sequel/plugins/identity_map.rb, line 205
    205:         def delete
    206:           super
    207:           if idm = model.identity_map
    208:             idm.delete(model.identity_map_key(pk))
    209:           end
    210:           self
    211:         end

merge_db_update(row)

Merge the current values into the values provided in the row, ensuring that current values are not overridden by new values.

[Source]

         # File lib/sequel/plugins/identity_map.rb, line 215
    215:         def merge_db_update(row)
    216:           @values = row.merge(@values)
    217:         end

[Validate]